VirtualBox

source: vbox/trunk/src/VBox/HostDrivers/linux/loadall.sh@ 67981

Last change on this file since 67981 was 62466, checked in by vboxsync, 8 years ago

HostDrivers: scm

  • Property svn:eol-style set to LF
  • Property svn:executable set to *
  • Property svn:keywords set to Author Date Id Revision
File size: 1.7 KB
Line 
1#!/bin/bash
2## @file
3# For development, builds and loads all the host drivers.
4#
5
6#
7# Copyright (C) 2010-2015 Oracle Corporation
8#
9# This file is part of VirtualBox Open Source Edition (OSE), as
10# available from http://www.virtualbox.org. This file is free software;
11# you can redistribute it and/or modify it under the terms of the GNU
12# General Public License (GPL) as published by the Free Software
13# Foundation, in version 2 as it comes in the "COPYING" file of the
14# VirtualBox OSE distribution. VirtualBox OSE is distributed in the
15# hope that it will be useful, but WITHOUT ANY WARRANTY of any kind.
16#
17
18TARGET=`readlink -e -- "${0}"` || exit 1 # The GNU-specific way.
19MY_DIR="${TARGET%/[!/]*}"
20MY_GROUPNAME="vboxusers"
21
22#
23# vboxusers membership check.
24#
25if ! (id -Gn | grep -w ${MY_GROUPNAME}); then
26 echo "loadall.sh: you're not a member of vboxusers...";
27 # Create the group.
28 if ! getent group ${MY_GROUPNAME}; then
29 set -e
30 sudo groupadd -r -f ${MY_GROUPNAME}
31 set +e
32 fi
33 # Add ourselves.
34 MY_USER=`id -un`
35 if [ -z "${MY_USER}" ]; then echo "loadall.sh: cannot figure user name"; exit 1; fi
36 sudo usermod -a -G ${MY_GROUPNAME} "${MY_USER}";
37
38 # Require relogon.
39 echo "loadall.sh: You must log on again to load the new group membership."
40 exit 1
41fi
42
43#
44# Normal action.
45#
46if [ ${#} -eq 0 ]; then
47 if [ -f "${MY_DIR}/src/vboxdrv/vboxdrv.ko" ]; then
48 echo "Cleaning build folder."
49 make -C "${MY_DIR}/src" clean > /dev/null
50 fi
51 sudo "${MY_DIR}/vboxdrv.sh" setup
52
53#
54# Unload and clean up when '-u' is given.
55#
56elif [ ${#} -eq 1 -a "x${1}" = x-u ]; then
57 sudo "${MY_DIR}/vboxdrv.sh" cleanup
58
59#
60# Invalid syntax.
61#
62else
63 echo "Usage: loadall.sh [-u]"
64 exit 1
65fi
66
Note: See TracBrowser for help on using the repository browser.

© 2023 Oracle
ContactPrivacy policyTerms of Use